Bug 29349 - Incorrect ICMP ECHO source address on reply
Summary: Incorrect ICMP ECHO source address on reply
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-25 09:36 UTC by John Bass
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-25 09:36:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Bass 2001-02-25 09:36:41 UTC
01:15:58.747749 < Client1.domain.test > Server.domain.test: icmp: echo
request (DF) 
01:15:58.747808 > Server.domain.test > Client1.domain.test: icmp: echo
reply
01:16:13.587872 < Client1.domain.test > Server.domain.test: icmp: echo
request (DF) 
01:16:13.587936 > Server.domain.test > Client1.domain.test: icmp: echo
reply
01:16:16.598712 < Client1.domain.test > Client2.domain.test: icmp: echo
request (DF)
01:16:16.599321 < Client1.domain.test > Client2.domain.test: icmp: echo
request
01:16:16.631662 > Client2.domain.test > Client1.domain.test: icmp: echo
reply
01:16:16.663876 > Client2.domain.test > Client1.domain.test: icmp: echo
reply
01:16:18.579882 > arp who-has Client1.domain.test tell Server.domain.test
(x:xx:xx:xx:xx:xx)
01:16:18.585470 < arp reply Client1.domain.test is-at 0:40:96:30:d5:46
(x:xx:xx:xx:xx:xx)
01:16:22.677906 < Client1.domain.test > Server.domain.test: icmp: echo
request (DF)
01:16:22.677972 > Server.domain.test > Client1.domain.test: icmp: echo
reply

The echo request from Client1 were for some reason replied to with a source
address of another client (Client2) instead of the Server.

I just noticed this debugging the ntpd problem previously reported, so I'm
not sure if it's a kernel or tcpdump problem ... I suspect kernel since
tcp dump didn't have any reason to resolve Client2's IP or name otherwise.

Comment 1 Michael K. Johnson 2001-02-28 00:06:43 UTC
I see matching requests, does not look like a bug to me.


Note You need to log in before you can comment on or make changes to this bug.